Bug 782862 - Unable to install gems via jruby
Unable to install gems via jruby
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: jruby (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mo Morsi
Fedora Extras Quality Assurance
:
Depends On: 770821
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-18 12:40 EST by kratzer.jason
Modified: 2013-02-13 21:04 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 21:04:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description kratzer.jason 2012-01-18 12:40:17 EST
Description of problem:
Unable to install gems via jruby.

Version-Release number of selected component (if applicable):
jruby-yecht-1.6.2-2.fc16.noarch
jruby-1.6.2-2.fc16.noarch



Steps to Reproduce:
1. Install jruby (yum -y install jruby)
2. Attempt to install jruby gem:
jruby -S gem install buby
/usr/bin/build-classpath: error: Could not find jruby-yecht Java extension for this JVM
/usr/bin/build-classpath: error: Some specified jars were not found
LoadError: no such file to load -- yecht
           require at org/jruby/RubyKernel.java:1038
           require at /usr/share/jruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:29
            (root) at /usr/share/jruby/lib/ruby/1.8/yaml/yecht.rb:5
           require at org/jruby/RubyKernel.java:1038
           require at /usr/share/jruby/lib/ruby/1.8/yaml/yecht.rb:29
            (root) at /usr/share/jruby/lib/ruby/1.8/yaml.rb:12
           require at org/jruby/RubyKernel.java:1038
           require at /usr/share/jruby/lib/ruby/1.8/yaml.rb:29
         load_yaml at /usr/share/jruby/lib/ruby/site_ruby/1.8/rubygems.rb:679
         load_file at /usr/share/jruby/lib/ruby/site_ruby/1.8/rubygems/config_file.rb:224
        initialize at /usr/share/jruby/lib/ruby/site_ruby/1.8/rubygems/config_file.rb:173
  do_configuration at /usr/share/jruby/lib/ruby/site_ruby/1.8/rubygems/gem_runner.rb:76
               run at /usr/share/jruby/lib/ruby/site_ruby/1.8/rubygems/gem_runner.rb:49
            (root) at /usr/share/jruby/bin/gem:21

Please note, jnr-ffi-0.5.10-3.fc16.1.noarch is installed.
  
Actual results:
Gem install fails.

Expected results:
Gem install succeeds.


Additional info:
Comment 1 Mo Morsi 2012-01-20 16:56:51 EST
The latest rawhide release already takes care of this issue, though this has not been backported to F16.

http://pkgs.fedoraproject.org/gitweb/?p=jruby.git;a=commitdiff;h=61ce23ca1e40f7e88c222a6906d8d64d36947694

I'm looking to updating both F16 and rawhide to 1.6.5.1 to incorporate a fix for a CVE so that should take care of this when resolved. Adding a dependency to this to represent that. If that looks like it will take too long we can look into updating to 1.6.3 on F16.
Comment 2 Fedora End Of Life 2013-02-13 21:04:46 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.